# MAT_PARTITIONING_SCOTCH

Creates a partitioning context via the external package SCOTCH.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningCreate_Scotch(MatPartitioning part)

Collective on MPI_Comm

### Input Parameter

part -the partitioning context

### Options Database Keys

| -mat_partitioning_scotch_global <greedy> (one of) greedy gps gr_gps | - . -mat_partitioning_scotch_local <kernighan-lin> (one of) kernighan-lin none
| -mat_partitioning_scotch_mapping: Use mapping (MatPartitioningScotchSetMapping) | - . -mat_partitioning_scotch_arch <archgraph.src>: architecture file in scotch format (MatPartitioningScotchSetArch)
| -mat_partitioning_scotch_hosts <host_list>: host list filename (MatPartitioningScotchSetHostList) | - . -mat_partitioning_scotch_coarse_level <0>: coarse level (MatPartitioningScotchSetCoarseLevel)
| -mat_partitioning_scotch_mul: Use coarse level (MatPartitioningScotchSetMultilevel) | - - -mat_partitioning_scotch_strategy <>: Scotch strategy string (MatPartitioningScotchSetStrategy)

Notes: See http://www.labri.fr/Perso/~pelegrin/scotch/

### Keywords

Partitioning, create, context

### See Also

MatPartitioningSetType(), MatPartitioningType

Level:beginner
Location: src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages